[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: koji breakage for F12 builds



Christoph Wickert wrote, at 05/13/2009 08:54 AM +9:00:
> Am Dienstag, den 12.05.2009, 23:04 +0100 schrieb Peter Robinson:
>> Just tried building a new package and it seems that it breaks because
>> xfce4-notifyd conflicts with notification-daemon.... wicked the new
>> rawhide is broken before the old rawhide is done and dusted :-)
> 
> See https://fedorahosted.org/rel-eng/ticket/1788
> 
> xfce4-notifyd conflicts with notification-daemon because both provide 
> /usr/share/dbus-1/services/org.freedesktop.Notifications.service
> 
> For compatibility they both provide a virtual
> desktop-notification-daemon, but ATM the "Conflicts: xfce4-notifyd" is
> missing from the notification-daemon package. Filed as
> https://bugzilla.redhat.com/show_bug.cgi?id=500513
> 
>> http://koji.fedoraproject.org/koji/getfile?taskID=1351516&name=root.log
> 
> The strange thing about this log: I don't see it installing
> notification-daemon. So where is the problem?
> 
> /me is confused
> Christoph

Well, I saw that ucommon (which I reviewed and accepted) won't build
on dist-f12 with the same issue.
http://koji.fedoraproject.org/koji/buildinfo?buildID=102002

yum debug log (debuglevel = 3) shows that:
-----------------------------------------------------------------
DEBUG: --> Processing Dependency: fedora-gnome-theme >= 8.0.0 for package: libgnome
DEBUG: Matched fedora-gnome-theme-8.0.0-9.fc11.noarch to require for fedora-gnome-theme
DEBUG: TSINFO: Marking fedora-gnome-theme-8.0.0-9.fc11.noarch as install for libgnome-2.26.0-1.fc11.i586

DEBUG: --> Processing Dependency: notification-daemon-engine-nodoka for package: fedora-gnome-theme
DEBUG: Matched notification-daemon-engine-nodoka-0.1.0-6.fc11.i586 to require for notification-daemon-engine-nodoka
DEBUG: TSINFO: Marking notification-daemon-engine-nodoka-0.1.0-6.fc11.i586 as install for fedora-gnome-theme-8.0.0-9.fc11.noarch

--> Processing Dependency: notification-daemon for package: notification-daemon-engine-nodoka
Matched notification-daemon-0.4.0-3.fc11.i586 to require for notification-daemon
TSINFO: Marking notification-daemon-0.4.0-3.fc11.i586 as install for notification-daemon-engine-nodoka-0.1.0-6.fc11.i586

DEBUG: ---> Package libnotify.i586 0:0.4.5-2.fc11 set to be updated
DEBUG: --> Processing Dependency: desktop-notification-daemon for package: libnotify
DEBUG: Matched xfce4-notifyd-0.1.0-1.fc12.i586 to require for desktop-notification-daemon
DEBUG: Matched notification-daemon-0.4.0-3.fc11.i586 to require for desktop-notification-daemon
DEBUG: TSINFO: Marking xfce4-notifyd-0.1.0-1.fc12.i586 as install for libnotify-0.4.5-2.fc11.i586

Error: xfce4-notifyd conflicts with notification-daemon
---------------------------------------------------------------

Full log:
http://mtasaka.fedorapeople.org/mock-fc12-conflicts/MOCK-ucommon.log

Regards,
Mamoru


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]